Xerces-C++: Wrapper4InputSource Class Reference

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Wrapper4InputSource Class Reference

Wrap a SAX InputSource object and make it behave like DOMLSInput. More...

Inheritance diagram for Wrapper4InputSource:

List of all members.

## Public Member Functions
Constructors and Destructor
| Wrapper4InputSource (InputSource *const inputSource, const bool adoptFlag=true, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| Constructor.
virtual | ~Wrapper4InputSource ()
| Destructor.
Virtual input source interface
virtual const XMLCh * | getStringData () const
| This wrapper doesn't support string data.
virtual InputSource * | getByteStream () const
| Makes the byte stream for this input source.
Getter methods
virtual const XMLCh * | getEncoding () const
| An input source can be set to force the parser to assume a particular encoding for the data that input source reprsents, via the setEncoding() method.
const XMLCh * | getPublicId () const
| Get the public identifier for this input source.
const XMLCh * | getSystemId () const
| Get the system identifier for this input source.
const XMLCh * | getBaseURI () const
| Get the base URI to be used for resolving relative URIs to absolute URIs.
bool | getIssueFatalErrorIfNotFound () const
| Get the flag that indicates if the parser should issue fatal error if this input source is not found.
Setter methods
virtual void | setStringData (const XMLCh *data)
| This wrapper only exposes the given InputSource, no setting allowed.
virtual void | setByteStream (InputSource *stream)
| This wrapper only exposes the given InputSource, no setting allowed.
void | setEncoding (const XMLCh *const encodingStr)
| Set the encoding which will be required for use with the XML text read via a stream opened by this input source.
void | setPublicId (const XMLCh *const publicId)
| Set the public identifier for this input source.
void | setSystemId (const XMLCh *const systemId)
| Set the system identifier for this input source.
void | setBaseURI (const XMLCh *const baseURI)
| Set the base URI to be used for resolving relative URIs to absolute URIs.
void | setIssueFatalErrorIfNotFound (bool flag)
| Indicates if the parser should issue fatal error if this input source is not found.
void | release ()
| Called to indicate that this DOMInputSource is no longer in use and that the implementation may relinquish any resources associated with it.

## Detailed Description

Wrap a SAX InputSource object and make it behave like DOMLSInput.

## Constructor & Destructor Documentation

Wrapper4InputSource::Wrapper4InputSource | ( | InputSource *const | inputSource,
|  | const bool | adoptFlag = `true`,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` |
| ) |  |  |

Constructor.

Wrap a SAX InputSource and make it behave like a DOMLSInput. By default, the wrapper will adopt the SAX InputSource that is wrapped.

Parameters:

  | inputSource | The SAX InputSource to be wrapped
  | adoptFlag | Indicates if the wrapper should adopt the wrapped SAX InputSource. Default is true.
  | manager | The MemoryManager to use to allocate objects

virtual Wrapper4InputSource::~Wrapper4InputSource | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

const XMLCh * Wrapper4InputSource::getStringData | ( |  | ) | const`[virtual]`

This wrapper doesn't support string data.

Implements DOMLSInput.

virtual InputSource* Wrapper4InputSource::getByteStream | ( |  | ) | const`[virtual]`

Makes the byte stream for this input source.

The function will call the makeStream of the wrapped input source. The returned stream becomes the parser's property.

See also:
  InputSource

Implements DOMLSInput.

virtual const XMLCh* Wrapper4InputSource::getEncoding | ( |  | ) | const`[virtual]`

An input source can be set to force the parser to assume a particular encoding for the data that input source reprsents, via the setEncoding() method.

This method will delegate to the wrapped input source to return name of the encoding that is to be forced. If the encoding has never been forced, it returns a null pointer.

Returns:
  The forced encoding, or null if none was supplied.

See also:
  setEncoding

Implements DOMLSInput.

const XMLCh* Wrapper4InputSource::getPublicId | ( |  | ) | const`[virtual]`

Get the public identifier for this input source.

Delegated to the wrapped input source object.

Returns:
  The public identifier, or null if none was supplied.

See also:
  setPublicId

Implements DOMLSInput.

const XMLCh* Wrapper4InputSource::getSystemId | ( |  | ) | const`[virtual]`

Get the system identifier for this input source.

Delegated to the wrapped input source object.

If the system ID is a URL, it will be fully resolved.

Returns:
  The system identifier.

See also:
  setSystemId

Implements DOMLSInput.

const XMLCh * Wrapper4InputSource::getBaseURI | ( |  | ) | const`[virtual]`

Get the base URI to be used for resolving relative URIs to absolute URIs.

If the baseURI is itself a relative URI, the behavior is implementation dependent. Delegated to the wrapped intput source object.

Returns:
  The base URI.

See also:
  setBaseURI

Since:
  DOM Level 3

Implements DOMLSInput.

bool Wrapper4InputSource::getIssueFatalErrorIfNotFound | ( |  | ) | const`[virtual]`

Get the flag that indicates if the parser should issue fatal error if this input source is not found.

Delegated to the wrapped input source object.

Returns:
  True if the parser should issue fatal error if this input source is not found. False if the parser issue warning message instead.

See also:
  setIssueFatalErrorIfNotFound

Implements DOMLSInput.

void Wrapper4InputSource::setStringData | ( | const XMLCh * | data | ) | `[virtual]`

This wrapper only exposes the given InputSource, no setting allowed.

Implements DOMLSInput.

void Wrapper4InputSource::setByteStream | ( | InputSource * | stream | ) | `[virtual]`

This wrapper only exposes the given InputSource, no setting allowed.

Implements DOMLSInput.

void Wrapper4InputSource::setEncoding | ( | const XMLCh *const | encodingStr | ) | `[virtual]`

Set the encoding which will be required for use with the XML text read via a stream opened by this input source.

This will update the wrapped input source object.

This is usually not set, allowing the encoding to be sensed in the usual XML way. However, in some cases, the encoding in the file is known to be incorrect because of intermediate transcoding, for instance encapsulation within a MIME document.

Parameters:

  | encodingStr | The name of the encoding to force.

Implements DOMLSInput.

void Wrapper4InputSource::setPublicId | ( | const XMLCh *const | publicId | ) | `[virtual]`

Set the public identifier for this input source.

This will update the wrapped input source object.

The public identifier is always optional: if the application writer includes one, it will be provided as part of the location information.

Parameters:

  | publicId | The public identifier as a string.

See also:
  Locator::getPublicId

  SAXParseException::getPublicId

  getPublicId

Implements DOMLSInput.

void Wrapper4InputSource::setSystemId | ( | const XMLCh *const | systemId | ) | `[virtual]`

Set the system identifier for this input source.

This will update the wrapped input source object.

The system id is always required. The public id may be used to map to another system id, but the system id must always be present as a fall back.

If the system ID is a URL, it must be fully resolved.

Parameters:

  | systemId | The system identifier as a string.

See also:
  getSystemId

  Locator::getSystemId

  SAXParseException::getSystemId

Implements DOMLSInput.

void Wrapper4InputSource::setBaseURI | ( | const XMLCh *const | baseURI | ) | `[virtual]`

Set the base URI to be used for resolving relative URIs to absolute URIs.

If the baseURI is itself a relative URI, the behavior is implementation dependent. This will update the wrapped input source object.

Parameters:

  | baseURI | The base URI.

See also:
  getBaseURI

Since:
  DOM Level 3

Implements DOMLSInput.

void Wrapper4InputSource::setIssueFatalErrorIfNotFound | ( | bool | flag | ) | `[virtual]`

Indicates if the parser should issue fatal error if this input source is not found.

If set to false, the parser issue warning message instead. This will update the wrapped input source object.

Parameters:

  | flag | True if the parser should issue fatal error if this input source is not found. If set to false, the parser issue warning message instead. (Default: true)

See also:
  getIssueFatalErrorIfNotFound

Implements DOMLSInput.

void Wrapper4InputSource::release | ( |  | ) | `[virtual]`

Called to indicate that this DOMInputSource is no longer in use and that the implementation may relinquish any resources associated with it.

Access to a released object will lead to unexpected result.

Implements DOMLSInput.

The documentation for this class was generated from the following file:

- Wrapper4InputSource.hpp